# Poco

# class EnvironmentImpl

Library: Foundation
Package: Core
Header: Poco/Environment_WIN32U.h

## Member Summary

Member Functions: getImpl, hasImpl, nodeIdImpl, nodeNameImpl, osArchitectureImpl, osDisplayNameImpl, osNameImpl, osVersionImpl, processorCountImpl, setImpl

## Types

### NodeId

typedef UInt8 NodeId[6];

Ethernet address.

## Member Functions

### getImpl

static std::string getImpl(
const std::string & name
);

### hasImpl

static bool hasImpl(
const std::string & name
);

### nodeIdImpl

static void nodeIdImpl(
NodeId & id
);

### nodeNameImpl

static std::string nodeNameImpl();

### osArchitectureImpl

static std::string osArchitectureImpl();

### osDisplayNameImpl

static std::string osDisplayNameImpl();

### osNameImpl

static std::string osNameImpl();

### osVersionImpl

static std::string osVersionImpl();

### processorCountImpl

static unsigned processorCountImpl();

### setImpl

static void setImpl(
const std::string & name,
const std::string & value
);